/****************************************************************************
    Qt-LCoV Library Editor for Qt-BSch3V
    Copyright (C) 2002-2005 H.Okada

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*****************************************************************************/

#ifndef PROP_COMP_H
#define PROP_COMP_H

#include <qvariant.h>
#include <qdialog.h>
//Added by qt3to4:
#include <QLabel>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGridLayout>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;
class QLineEdit;
class QCheckBox;
class QPushButton;

class prop_comp : public QDialog
{
    Q_OBJECT

public:
    prop_comp( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
    ~prop_comp();

    QLabel* textLabel1;
    QLineEdit* editName;
    QLabel* textLabel2;
    QLineEdit* editRef;
    QLabel* textLabel4;
    QLineEdit* editHeight;
    QLabel* textLabel3;
    QLineEdit* editWidth;
    QCheckBox* checkUsePtn;
    QLineEdit* editBlock;
    QLabel* textLabel5;
    QPushButton* buttonOK;
    QPushButton* buttonCancel;

public slots:
    virtual void onOK();

protected:
    virtual bool isValidName( const char * psz );

    QVBoxLayout* prop_compLayout;
    QHBoxLayout* layout2;
    QHBoxLayout* layout5;
    QGridLayout* layout1;
    QGridLayout* layout3;
    QVBoxLayout* layout4;

protected slots:
    virtual void languageChange();

};

#endif // PROP_COMP_H
