/****************************************************************************
    Qt-LCoV Library Editor for Qt-BSch3V
    Copyright (C) 2002-2005 H.Okada

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*****************************************************************************/

#ifndef PROP_PIN_H
#define PROP_PIN_H

#include <qvariant.h>
#include <qdialog.h>
//Added by qt3to4:
#include <QLabel>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGridLayout>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;
class QLineEdit;
class QSpinBox;
class QCheckBox;
class QPushButton;
class Q3ButtonGroup;
class QRadioButton;

class prop_pin : public QDialog
{
    Q_OBJECT

public:
    prop_pin( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
    ~prop_pin();

    QLabel* textLabel1;
    QLineEdit* editName;
    QLabel* textLabel2;
    QLineEdit* editNumber;
    QLabel* textLabel2_2;
    QSpinBox* spinBlock;
    QCheckBox* checkHide;
    QPushButton* buttonOK;
    QPushButton* buttonCancel;
    Q3ButtonGroup* buttonGroup2;
    QRadioButton* radioNeg;
    QRadioButton* radioNegCk;
    QRadioButton* radioCk;
    QRadioButton* radioNorm;
    QRadioButton* radioS;

public slots:
    virtual void changeBlock( int );

protected:
    QGridLayout* prop_pinLayout;
    QHBoxLayout* layout4;
    QHBoxLayout* layout11;
    QHBoxLayout* layout5;
    QHBoxLayout* layout6;
    QVBoxLayout* layout15;

protected slots:
    virtual void languageChange();

};

#endif // PROP_PIN_H
